couchdb-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From j..@apache.org
Subject svn commit: r668013 - in /incubator/couchdb/branches/runtimeconfig: ./ README bin/Makefile.am bin/couchdb.tpl.in bin/couchjs.tpl.in bootstrap configure.ac etc/Makefile.am etc/couchdb/Makefile.am
Date Sun, 15 Jun 2008 22:17:29 GMT
Author: jan
Date: Sun Jun 15 15:17:28 2008
New Revision: 668013

URL: http://svn.apache.org/viewvc?rev=668013&view=rev
Log:
Merged revisions 667966,667969,667971-667972,667976-667977,667982-667983,667987,667989-667991,667993
via svnmerge from 
https://svn.eu.apache.org/repos/asf/incubator/couchdb/trunk


Modified:
    incubator/couchdb/branches/runtimeconfig/   (props changed)
    incubator/couchdb/branches/runtimeconfig/README
    incubator/couchdb/branches/runtimeconfig/bin/Makefile.am
    incubator/couchdb/branches/runtimeconfig/bin/couchdb.tpl.in
    incubator/couchdb/branches/runtimeconfig/bin/couchjs.tpl.in
    incubator/couchdb/branches/runtimeconfig/bootstrap
    incubator/couchdb/branches/runtimeconfig/configure.ac
    incubator/couchdb/branches/runtimeconfig/etc/Makefile.am
    incubator/couchdb/branches/runtimeconfig/etc/couchdb/Makefile.am

Propchange: incubator/couchdb/branches/runtimeconfig/
------------------------------------------------------------------------------
--- svnmerge-integrated (original)
+++ svnmerge-integrated Sun Jun 15 15:17:28 2008
@@ -1 +1 @@
-/incubator/couchdb/trunk:1-667856
+/incubator/couchdb/trunk:1-668012

Modified: incubator/couchdb/branches/runtimeconfig/README
URL: http://svn.apache.org/viewvc/incubator/couchdb/branches/runtimeconfig/README?rev=668013&r1=668012&r2=668013&view=diff
==============================================================================
--- incubator/couchdb/branches/runtimeconfig/README (original)
+++ incubator/couchdb/branches/runtimeconfig/README Sun Jun 15 15:17:28 2008
@@ -242,51 +242,6 @@
 
 Windows documentation is incomplete. Please submit suggestions.
 
-Development
------------
-
-### Reconfiguring the Build System ###
-
-If you have edited any of the files used by the build system, such as the
-`Makefile.am` files, you will need to reconfigure your source.
-
-To reconfigure the source run the following command from the root directory:
-
-    autoreconf && ./confgure
-
-### Checking In Changes ###
-
-If your source directory has been configured or built you will need to clean
-the generated files before checking into the repository by running the
-following command:
-
-    make local-clean
-
-If everything was successful you should now have a pristine checkout.
-
-### Making a Release ###
-
-The following steps should be taken prior to preparing the release:
-
-    svn cp trunk branches/Y.Y.x
-    svn cp branches/Y.Y.x tags/Y.Y.Y
-    svn export tags/Y.Y.Y export
-
-You must then use the `export` directory to prepare the release.
-
-To build the source for distribution you should then run the following command:
-
-    ./configure && make distcheck
-
-If everything was successful you should see an appropriately named `tar.gz` file
-sitting in the root directory ready for distribution.
-
-### Release Checklist ###
-
- 1. Update the `README` file with important information.
- 2. Update the `NEWS` file with change information.
- 3. Update the `acinclude.m4` file with version information.
-
 [01]: http://www.gnu.org/software/automake/
 [02]: http://www.gnu.org/software/autoconf/
 [03]: http://www.gnu.org/software/libtool/

Modified: incubator/couchdb/branches/runtimeconfig/bin/Makefile.am
URL: http://svn.apache.org/viewvc/incubator/couchdb/branches/runtimeconfig/bin/Makefile.am?rev=668013&r1=668012&r2=668013&view=diff
==============================================================================
--- incubator/couchdb/branches/runtimeconfig/bin/Makefile.am (original)
+++ incubator/couchdb/branches/runtimeconfig/bin/Makefile.am Sun Jun 15 15:17:28 2008
@@ -25,6 +25,7 @@
 couchdb: couchdb.tpl
 	sed -e "s|%ERL%|$(ERL)|g" \
 	    -e "s|%ICU_CONFIG%|$(ICU_CONFIG)|g" \
+	    -e "s|%AWK%|$(AWK)|g" \
 	    -e "s|%bindir%|@bindir@|g" \
 	    -e "s|%erlangbindir%|@erlangbindir@|g" \
 	    -e "s|%erlanglibdir%|@erlanglibdir@|g" \

Modified: incubator/couchdb/branches/runtimeconfig/bin/couchdb.tpl.in
URL: http://svn.apache.org/viewvc/incubator/couchdb/branches/runtimeconfig/bin/couchdb.tpl.in?rev=668013&r1=668012&r2=668013&view=diff
==============================================================================
--- incubator/couchdb/branches/runtimeconfig/bin/couchdb.tpl.in (original)
+++ incubator/couchdb/branches/runtimeconfig/bin/couchdb.tpl.in Sun Jun 15 15:17:28 2008
@@ -37,7 +37,7 @@
 HEART_COMMAND="%bindir%/%couchdb_command_name% -k"
 HEART_BEAT_TIMEOUT=11
 
-basename=$(basename $0)
+basename=`basename $0`
 
 display_version () {
     # Display version and copyright information.
@@ -105,19 +105,19 @@
 _load_configuration () {
     # Load ini configuration and overwrite default variables.
 
-    dbrootdir_ini_value=$(awk -F = "/^DbRootDir=/{print \$2}" < $INI_FILE)
+    dbrootdir_ini_value=`%AWK% -F = "/^DbRootDir=/{print \\$2}" < $INI_FILE`
     if test -n "$dbrootdir_ini_value"; then
         LIB_DIRECTORY=$dbrootdir_ini_value
     fi
-    logfile_ini_value=$(awk -F = "/^LogFile=/{print \$2}" < $INI_FILE)
+    logfile_ini_value=`%AWK% -F = "/^LogFile=/{print \\$2}" < $INI_FILE`
     if test -n "$logfile_ini_value"; then
-        LOG_DIRECTORY=$(dirname $logfile_ini_value)
+        LOG_DIRECTORY=`dirname $logfile_ini_value`
     fi
 }
 
 _get_pid () {
     if test -f $PID_FILE; then
-        PID=$(cat $PID_FILE)
+        PID=`cat $PID_FILE`
     fi
     echo $PID
 }
@@ -125,7 +125,7 @@
 check_status () {
     # Check the status of the running Apache CouchDB process.
 
-    PID=$(_get_pid)
+    PID=`_get_pid`
     if test -n "$PID"; then
         if kill -0 $PID 2> /dev/null; then
             echo "Apache CouchDB is running as process $PID, time to relax."
@@ -154,14 +154,14 @@
         exit $SCRIPT_ERROR
     fi
     message_prefix="Apache CouchDB needs write permission on data file"
-    for file in $(find $LIB_DIRECTORY -type f); do
+    for file in `find $LIB_DIRECTORY -type f`; do
         if test ! -w $file; then
             echo "$message_prefix: $file" >&2
             exit $SCRIPT_ERROR
         fi
     done
     message_prefix="Apache CouchDB needs write permission on log file"
-    for file in $(find $LOG_DIRECTORY -type f); do
+    for file in `find $LOG_DIRECTORY -type f`; do
         if test ! -w $file; then
             echo "$message_prefix: $file" >&2
             exit $SCRIPT_ERROR
@@ -242,9 +242,9 @@
             while true; do
                 export HEART_COMMAND
                 export HEART_BEAT_TIMEOUT
-                $(eval $command -pidfile $PID_FILE -heart \
-                    > $STDOUT_FILE 2> $STDERR_FILE) || true
-                PID=$(_get_pid)
+                `eval $command -pidfile $PID_FILE -heart \
+                    > $STDOUT_FILE 2> $STDERR_FILE` || true
+                PID=`_get_pid`
                 if test -n "$PID"; then
                     if kill -0 $PID 2> /dev/null; then
                         # Found an existing process, do not respawn.
@@ -276,7 +276,7 @@
 stop_couchdb () {
     # Send SIGHUP to the running Apache CouchDB process.
 
-    PID=$(_get_pid)
+    PID=`_get_pid`
     if test -n "$PID"; then
         # Clean up PID file or leave stale for respawn.
         if test "$1" = "false"; then
@@ -308,7 +308,7 @@
 parse_script_option_list () {
     # Parse the script option list and take the appropriate action.
 
-    if ! argument_list=$(getopt hVc:ibp:r:Ro:e:skd $@); then
+    if test ! argument_list=`getopt hVc:ibp:r:Ro:e:skd $@`; then
         display_error
     fi
     eval set -- "$argument_list"

Modified: incubator/couchdb/branches/runtimeconfig/bin/couchjs.tpl.in
URL: http://svn.apache.org/viewvc/incubator/couchdb/branches/runtimeconfig/bin/couchjs.tpl.in?rev=668013&r1=668012&r2=668013&view=diff
==============================================================================
--- incubator/couchdb/branches/runtimeconfig/bin/couchjs.tpl.in (original)
+++ incubator/couchdb/branches/runtimeconfig/bin/couchjs.tpl.in Sun Jun 15 15:17:28 2008
@@ -19,7 +19,7 @@
 
 DEFAULT_VERSION=170
 
-basename=$(basename $0)
+basename=`basename $0`
 
 display_version () {
     # Display version and copyright information.
@@ -79,7 +79,7 @@
 parse_script_option_list () {
     # Parse the script option list and take the appropriate action.
 
-    if ! argument_list=$(getopt hV $@); then
+    if test ! argument_list=`getopt hV $@`; then
         display_error
     fi
     eval set -- "$argument_list"
@@ -91,7 +91,7 @@
             *) break;;
         esac
     done
-    option_list=$(echo $@ | sed 's/--//')
+    option_list=`echo $@ | sed 's/--//'`
     if test -z "$option_list"; then
         display_error "You must specify a FILE."
     fi

Modified: incubator/couchdb/branches/runtimeconfig/bootstrap
URL: http://svn.apache.org/viewvc/incubator/couchdb/branches/runtimeconfig/bootstrap?rev=668013&r1=668012&r2=668013&view=diff
==============================================================================
--- incubator/couchdb/branches/runtimeconfig/bootstrap (original)
+++ incubator/couchdb/branches/runtimeconfig/bootstrap Sun Jun 15 15:17:28 2008
@@ -1,4 +1,4 @@
-#! /bin/sh -e
+#!/bin/sh -e
 
 # Licensed under the Apache License, Version 2.0 (the "License"); you may not
 # use this file except in compliance with the License.  You may obtain a copy of
@@ -30,37 +30,31 @@
 M4_AC_CHECK_ICU_FILE="m4/ac_check_icu.m4"
 REPOSITORY_URI="http://svn.apache.org/repos/asf/incubator/couchdb/trunk"
 
-ACLOCAL_EXECUTABLE=$(which aclocal || true)
-AUTOCONF_EXECUTABLE=$(which autoconf || true)
-AUTOHEADER_EXECUTABLE=$(which autoheader || true)
-AUTOMAKE_EXECUTABLE=$(which automake || true)
-GLIBTOOLIZE_EXECUTABLE=$(which glibtoolize || true)
-LIBTOOLIZE_EXECUTABLE=$(which libtoolize || true)
-SVN_EXECUTABLE=$(which svn || true)
-
-basename=$(basename $0)
+basename=`basename $0`
 
 extract_configuration_variable () {
     # Extract variables from the local M4 configuration.
 
     variable_name=$1
-    temporary_file=$(mktemp)
-    if [ $? -ne 0 ]; then
-        echo "Error: Unable to create a temporary file."
-        exit $SCRIPT_ERROR
-    fi
+    temporary_file=`mktemp`
     echo "changequote(\`[', \`]')" > $temporary_file
     sed "s/m4_//" < $ACINCLUDE_IN_FILE >> $temporary_file
     echo $variable_name >> $temporary_file
-    m4 $temporary_file | grep -v "^$"
+    if test -x `which m4 || true`; then
+        `which m4` $temporary_file | grep -v "^$"
+    else
+        if test -x `which gm4 || true`; then
+            `which gm4` $temporary_file | grep -v "^$"
+        fi
+    fi
     rm -f $temporary_file
 }
 
 display_version () {
     # Display version and copyright information.
 
-    package_name=$(extract_configuration_variable LOCAL_PACKAGE_NAME)
-    version=$(extract_configuration_variable LOCAL_VERSION)
+    package_name=`extract_configuration_variable LOCAL_PACKAGE_NAME`
+    version=`extract_configuration_variable LOCAL_VERSION`
     cat << EOF
 $basename - $package_name $version
 
@@ -80,7 +74,7 @@
 display_help () {
     # Display a short description of the script's behaviour.
 
-    bug_uri=$(extract_configuration_variable LOCAL_BUG_URI)
+    bug_uri=`extract_configuration_variable LOCAL_BUG_URI`
     cat << EOF
 Usage: $basename [OPTION]...
 
@@ -115,16 +109,16 @@
 check_svn_environment () {
     # Check the Subversion environment for sanity.
 
-    if test -z "$SVN_EXECUTABLE"; then
+    if test -x `which svn || true`; then
         echo "Warning: Unable to find the svn command."
         return $SCRIPT_ERROR
     fi
     if test -n "$REPOSITORY_REVISION"; then
         return
     fi
-    if test -n "$($SVN_EXECUTABLE info . 2> /dev/null)"; then
+    if test -n "`\`which svn\` info . 2> /dev/null`"; then
        SVN_CHECKOUT_BOOLEAN="true"
-    fi > /dev/null
+    fi
     if test "$SVN_CHECKOUT_BOOLEAN" != "true"; then
         echo "Warning: Unable to determine checkout information."
     fi
@@ -133,8 +127,8 @@
 generate_acinclude () {
     # Generate the acinclude.m4 file using the Subversion repository.
 
-    release_code=$(sed -e "s/\[//g" -e "s/\]//g" -e "s/(//g" -e "s/)//g" \
-        < $ACINCLUDE_IN_FILE | awk "/LOCAL_VERSION_STAGE, /{print \$2}")
+    release_code=`sed -e "s/\[//g" -e "s/\]//g" -e "s/(//g" -e "s/)//g" \
+        < $ACINCLUDE_IN_FILE | awk "/LOCAL_VERSION_STAGE, /{print \$2}"`
     repository_boolean=false
     if test -n "$REPOSITORY_REVISION" -o "$SVN_CHECKOUT_BOOLEAN" = "true"; then
         repository_boolean=true
@@ -143,8 +137,8 @@
         sed "s/%release%//" < $ACINCLUDE_IN_FILE > $ACINCLUDE_FILE
     else
         if test "$SVN_CHECKOUT_BOOLEAN" = "true"; then
-            revision_number=$($SVN_EXECUTABLE info . | \
-                awk "/Revision:/{print \$2}")
+            revision_number=`\`which svn\` info . | \
+                awk "/Revision:/{print \\$2}"`
         fi
         if test -n "$REPOSITORY_REVISION"; then
             revision_number="$REPOSITORY_REVISION"
@@ -175,9 +169,9 @@
 run_aclocal () {
     # Run the correct version of aclocal.
 
-    if test -x "$ACLOCAL_EXECUTABLE"; then
-        echo "Running $ACLOCAL_EXECUTABLE"
-        $ACLOCAL_EXECUTABLE -I m4
+    if test -x `which aclocal || true`; then
+        echo "Running aclocal"
+        `which aclocal` -I m4
     else
         echo "Can't find aclocal"
         exit $SCRIPT_ERROR
@@ -187,13 +181,13 @@
 run_libtoolize () {
     # Run the correct version of libtoolize.
 
-    if test -x "$LIBTOOLIZE_EXECUTABLE"; then
-        echo "Running $LIBTOOLIZE_EXECUTABLE"
-        $LIBTOOLIZE_EXECUTABLE -f -c
+    if test -x `which libtoolize || true`; then
+        echo "Running libtoolize"
+        `which libtoolize` -f -c
     else
-        if test -x "`which $GLIBTOOLIZE_EXECUTABLE`"; then
-            echo "Running $GLIBTOOLIZE_EXECUTABLE"
-            $GLIBTOOLIZE_EXECUTABLE -f -c
+        if test -x `which glibtoolize || true`; then
+            echo "Running glibtoolize"
+            `which glibtoolize` -f -c
         else
             echo "Can't find libtoolize or glibtoolize"
             exit $SCRIPT_ERROR
@@ -204,9 +198,9 @@
 run_autoheader () {
     # Run the correct version of autoheader.
 
-    if test -x "$AUTOHEADER_EXECUTABLE"; then
-        echo "Running $AUTOHEADER_EXECUTABLE"
-        $AUTOHEADER_EXECUTABLE -f
+    if test -x `which autoheader || true`; then
+        echo "Running autoheader"
+        `which autoheader` -f
     else
         echo "Can't find autoheader"
         exit $SCRIPT_ERROR
@@ -217,9 +211,9 @@
     # Run the correct version of automake.
 
     AUTOMAKE_OPTION_COLLECTION=""
-    if test -x "$AUTOMAKE_EXECUTABLE"; then
-        echo "Running $AUTOMAKE_EXECUTABLE"
-        $AUTOMAKE_EXECUTABLE -f -c -a --gnits
+    if test -x `which automake || true`; then
+        echo "Running automake"
+        `which automake` -f -c -a --gnits
     else
         echo "Can't find automake"
         exit $SCRIPT_ERROR
@@ -229,9 +223,9 @@
 run_autoconf () {
     # Run the correct version of autoconf.
 
-    if test -x "$AUTOCONF_EXECUTABLE"; then
-        echo "Running $AUTOCONF_EXECUTABLE"
-        $AUTOCONF_EXECUTABLE -f
+    if test -x `which autoconf || true`; then
+        echo "Running autoconf"
+        `which autoconf` -f
     else
         echo "Can't find autoconf"
         exit $SCRIPT_ERROR
@@ -257,9 +251,12 @@
 parse_script_option_list () {
     # Parse the script option list and take the appropriate action.
 
-    if ! argument_list=$(getopt vhC $@); then
+    set +e
+    argument_list=`getopt vhC $@`
+    if test ! $? -eq 0; then
         display_error
     fi
+    set -e
     eval set -- "$argument_list"
     while [ $# -gt 0 ]; do
         case "$1" in
@@ -269,7 +266,7 @@
             *) display_error "Unknown option: $1" >&2;;
         esac
     done
-    cd $(dirname $0)
+    cd `dirname $0`
     process_file_collection
     check_svn_environment || true
     generate_acinclude

Modified: incubator/couchdb/branches/runtimeconfig/configure.ac
URL: http://svn.apache.org/viewvc/incubator/couchdb/branches/runtimeconfig/configure.ac?rev=668013&r1=668012&r2=668013&view=diff
==============================================================================
--- incubator/couchdb/branches/runtimeconfig/configure.ac (original)
+++ incubator/couchdb/branches/runtimeconfig/configure.ac Sun Jun 15 15:17:28 2008
@@ -106,13 +106,13 @@
 
 erlang_version_error="The installed Erlang version is less than 5.5.0 (R11B)."
 
-version=$(${ERL} -version 2>&1 | ${SED} "s/[[^0-9]]/ /g")
+version=`${ERL} -version 2>&1 | ${SED} "s/[[^0-9]]/ /g"`
 
-if test $(echo $version | ${AWK} "{print \$1}") -lt 5; then
+if test `echo $version | ${AWK} "{print \$1}"` -lt 5; then
     AC_MSG_ERROR([$erlang_version_error])
 fi
 
-if test $(echo $version | ${AWK} "{print \$2}") -lt 5; then
+if test `echo $version | ${AWK} "{print \$2}"` -lt 5; then
     AC_MSG_ERROR([$erlang_version_error])
 fi
 

Modified: incubator/couchdb/branches/runtimeconfig/etc/Makefile.am
URL: http://svn.apache.org/viewvc/incubator/couchdb/branches/runtimeconfig/etc/Makefile.am?rev=668013&r1=668012&r2=668013&view=diff
==============================================================================
--- incubator/couchdb/branches/runtimeconfig/etc/Makefile.am (original)
+++ incubator/couchdb/branches/runtimeconfig/etc/Makefile.am Sun Jun 15 15:17:28 2008
@@ -30,12 +30,6 @@
 transform = @program_transform_name@
 couchdb_command_name = `echo couchdb | sed '$(transform)'`
 
-abs_bindir = $(abspath $(bindir))
-abs_localstatedir = $(abspath $(localstatedir))
-abs_sysconfdir = $(abspath $(sysconfdir))
-abs_pkgconfdir = $(abspath $(pkgconfdir))
-abs_erlangbindir = $(abspath $(erlangbindir))
-
 default/couchdb: default/couchdb.tpl
 	if test "$(mkdir_p)"; then \
 	    $(mkdir_p) default; \
@@ -45,9 +39,9 @@
 	    fi \
 	fi
 	sed -e "s|%configure_input%|$@. Generated from $< by configure.|" \
-	    -e "s|%pkgconfdir%|$(abs_pkgconfdir)|g" \
-	    -e "s|%sysconfdir%|$(abs_sysconfdir)|" \
-	    -e "s|%localstatedir%|$(abs_localstatedir)|" \
+	    -e "s|%pkgconfdir%|$(pkgconfdir)|g" \
+	    -e "s|%sysconfdir%|$(sysconfdir)|" \
+	    -e "s|%localstatedir%|$(localstatedir)|" \
 	< $< > $@
 
 init/couchdb: init/couchdb.tpl
@@ -59,9 +53,9 @@
 	    fi \
 	fi
 	sed -e "s|%configure_input%|$@. Generated from $< by configure.|" \
-	    -e "s|%bindir%|$(abs_bindir)|" \
-	    -e "s|%sysconfdir%|$(abs_sysconfdir)|" \
-	    -e "s|%erlangbindir%|$(abs_erlangbindir)|" \
+	    -e "s|%bindir%|$(bindir)|" \
+	    -e "s|%sysconfdir%|$(sysconfdir)|" \
+	    -e "s|%erlangbindir%|$(erlangbindir)|" \
 	    -e "s|%couchdb_command_name%|$(couchdb_command_name)|" \
 	< $< > $@
 
@@ -77,7 +71,7 @@
 	    fi \
 	fi
 	sed -e "s|%configure_input%|$@. Generated from $< by configure.|" \
-	    -e "s|%bindir%|$(abs_bindir)|" \
+	    -e "s|%bindir%|$(bindir)|" \
 	    -e "s|%couchdb_command_name%|$(couchdb_command_name)|" \
 	< $< > $@
 

Modified: incubator/couchdb/branches/runtimeconfig/etc/couchdb/Makefile.am
URL: http://svn.apache.org/viewvc/incubator/couchdb/branches/runtimeconfig/etc/couchdb/Makefile.am?rev=668013&r1=668012&r2=668013&view=diff
==============================================================================
--- incubator/couchdb/branches/runtimeconfig/etc/couchdb/Makefile.am (original)
+++ incubator/couchdb/branches/runtimeconfig/etc/couchdb/Makefile.am Sun Jun 15 15:17:28 2008
@@ -19,18 +19,12 @@
 
 couchprivlibdir = $(erlanglibdir)/couch-$(version)/priv/lib
 
-abs_bindir = $(abspath $(bindir))
-abs_pkgdatadir = $(abspath $(pkgdatadir))
-abs_pkgconfdir = $(abspath $(pkgconfdir))
-abs_pkgstatelibdir = $(abspath $(pkgstatelibdir))
-abs_pkgstatelogdir = $(abspath $(pkgstatelogdir))
-
 couch.ini: couch.ini.tpl
-	sed -e "s|%bindir%|$(abs_bindir)|g" \
-	    -e "s|%pkgconfdir%|$(abs_pkgconfdir)|g" \
-	    -e "s|%pkgdatadir%|$(abs_pkgdatadir)|g" \
-	    -e "s|%pkgstatelibdir%|$(abs_pkgstatelibdir)|g" \
-	    -e "s|%pkgstatelogdir%|$(abs_pkgstatelogdir)|g" \
+	sed -e "s|%bindir%|$(bindir)|g" \
+	    -e "s|%pkgconfdir%|$(pkgconfdir)|g" \
+	    -e "s|%pkgdatadir%|$(pkgdatadir)|g" \
+	    -e "s|%pkgstatelibdir%|$(pkgstatelibdir)|g" \
+	    -e "s|%pkgstatelogdir%|$(pkgstatelogdir)|g" \
 	    -e "s|%couchprivlibdir%|$(couchprivlibdir)|g" \
 	    -e "s|%couchjs_command_name%|$(couchjs_command_name)|g" \
 	< $< > $@



Mime
View raw message